%define name amihappy-client
%define version 0.1.2
%define release 1

Summary: A distributed application for checking the status of machines
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.mcs.anl.gov/~bradshaw/amihappy
Vendor: Rick Bradshaw <bradshaw@mcs.anl.gov>
Requires: perl >= 5.6.0

%description
This is the client side scripts and configuration files needed to run 
amihappy on a workstation. These scripts are meant to be used in a clustered 
environment but can also be used for networks of workstations. The amihappy 
executable reads configuration information from the amihappy.conf to run 
specified tests on a machine and then contacts the amihappy server to update
the database with this information that can then be viewed from a webpage.

%prep

%setup

%build

%install
mkdir -p $RPM_BUILD_ROOT

cp -a * $RPM_BUILD_ROOT

OLDPWD=`pwd`
cd $RPM_BUILD_ROOT

find -type f| sed "s/^\.//" > $OLDPWD/INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

