%define name amihappy-server
%define version 0.1.2
%define release 1

Summary: A distributed application for checking the status of machines
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.mcs.anl.gov/~bradshaw/amihappy
Vendor: Rick Bradshaw <bradshaw@mcs.anl.gov>
Requires: perl >= 5.6.0, apache >= 1.3.14,  php >= 4.1.0, pdsh >= 1.6, mysql >= 3.23.36

%description
This is the server side scripts used in the amihappy application. The main server script is xmlrpc_happy.php. the other important script is happypdsh.pl to run amihappy on multiple machines. This script is used in conjuction with the city_happy client. It is not really needed but is useful in clustered situations. the other scripts are mainly used to check the status of machines from a normal web browser.

%prep

%setup

%build

%install
mkdir -p $RPM_BUILD_ROOT

cp -a * $RPM_BUILD_ROOT

OLDPWD=`pwd`
cd $RPM_BUILD_ROOT

find -type f| sed "s/^\.//" > $OLDPWD/INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

